unit DemoMain;

interface

uses
  Forms, TbLang, StdCtrls, Classes, Controls, Menus, Dialogs;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Lenguaje1: TMenuItem;
    Espaol1: TMenuItem;
    Ingls1: TMenuItem;
    Ventanas1: TMenuItem;
    AbrirSec1: TMenuItem;
    Salir1: TMenuItem;
    BtnIngles: TButton;
    BtnEspaniol: TButton;
    CrearSec1: TMenuItem;
    Button1: TButton;
    TbLangForm1: TTbLangForm;
    TbLangSelect1: TTbLangSelect;
    procedure Salir1Click(Sender: TObject);
    procedure Espaol1Click(Sender: TObject);
    procedure Ingls1Click(Sender: TObject);
    procedure AbrirSec1Click(Sender: TObject);
    procedure CrearSec1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses DemoSec, DemoTer;

{$R *.DFM}

procedure TForm1.Salir1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Espaol1Click(Sender: TObject);
begin
  TbLangSelect1.ActiveLanguage := 'Spanish';
end;

procedure TForm1.Ingls1Click(Sender: TObject);
begin
  TbLangSelect1.ActiveLanguage := 'English';
end;

procedure TForm1.AbrirSec1Click(Sender: TObject);
begin
  Form2.Show;
end;

procedure TForm1.CrearSec1Click(Sender: TObject);
begin
  Application.CreateForm(TForm3, Form3);
  Form3.ShowModal;
  Form3.Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  TbLangSelect1.MessageDlg(TbLangForm1['MESSAGE_TEXT'],mtInformation,[mbOk],0);
end;

end.
